AstIdentifier (Tomcat API Documentation)
Keywords: org.apache.el.parser.AstIdentifier class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el.parser
Class AstIdentifier

    java.lang.Object
      org.apache.el.lang.ELSupport
          org.apache.el.parser.SimpleNode
              org.apache.el.parser.AstIdentifier

All Implemented Interfaces:
  Node

    public final class AstIdentifier

extends SimpleNode

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: markt $
Author:
  Jacob Hookom [jacob@hookom.net]

Field Summary

Fields inherited from class org.apache.el.parser.SimpleNode
`children, id, image, parent`

Constructor Summary
`AstIdentifier(int id)`

Method Summary
`javax.el.MethodInfo` | `getMethodInfo(EvaluationContext ctx, java.lang.Class[] paramTypes)`
`java.lang.Class` | `getType(EvaluationContext ctx)`
`java.lang.Object` | `getValue(EvaluationContext ctx)`
`java.lang.Object` | `invoke(EvaluationContext ctx, java.lang.Class[] paramTypes, java.lang.Object[] paramValues)`
`boolean` | `isReadOnly(EvaluationContext ctx)`
`void` | `setValue(EvaluationContext ctx, java.lang.Object value)`

Methods inherited from class org.apache.el.parser.SimpleNode
`accept, dump, getImage, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, toString, toString`

Methods inherited from class org.apache.el.lang.ELSupport
`checkType, coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, containsNulls, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isDoubleStringOp, isLongOp, isStringFloat, throwUnhandled, toFloat, toNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AstIdentifier

    public AstIdentifier(int id)

Method Detail

### getType

    public java.lang.Class getType(EvaluationContext ctx)
                            throws javax.el.ELException

  Specified by:
    `getType` in interface `Node`
  Overrides:
    `getType` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

### getValue

    public java.lang.Object getValue(EvaluationContext ctx)
                              throws javax.el.ELException

  Specified by:
    `getValue` in interface `Node`
  Overrides:
    `getValue` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

### isReadOnly

    public boolean isReadOnly(EvaluationContext ctx)
                       throws javax.el.ELException

  Specified by:
    `isReadOnly` in interface `Node`
  Overrides:
    `isReadOnly` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

### setValue

    public void setValue(EvaluationContext ctx,
                         java.lang.Object value)
                  throws javax.el.ELException

  Specified by:
    `setValue` in interface `Node`
  Overrides:
    `setValue` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

### invoke

    public java.lang.Object invoke(EvaluationContext ctx,
                                   java.lang.Class[] paramTypes,
                                   java.lang.Object[] paramValues)
                            throws javax.el.ELException

  Specified by:
    `invoke` in interface `Node`
  Overrides:
    `invoke` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

### getMethodInfo

    public javax.el.MethodInfo getMethodInfo(EvaluationContext ctx,
                                             java.lang.Class[] paramTypes)
                                      throws javax.el.ELException

  Specified by:
    `getMethodInfo` in interface `Node`
  Overrides:
    `getMethodInfo` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.